package com.bocloud.cmp.model.azure.db;

import java.util.List;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: PerformanceTier
 * @Description:性能层
 * @author: zhenpingLi/李振平
 * @date: 2020/12/22 13:43
 */
public class PerformanceTierModel {

    private String uuid;
    private String regionId;
    private Integer maxBackupRetentionDays;//性能层版本的最大备份保留天数
    private Integer maxLargeStorageMB;//服务器允许的最大存储空间。
    private Integer maxStorageMB;//服务器允许的最大存储空间。
    private Integer minBackupRetentionDays;//性能层版本的最小备份保留天数
    private Integer minLargeStorageMB;//服务器允许的最大存储空间。
    private Integer minStorageMB;//服务器允许的最大存储空间。
    private String dbType;
    private List<ServiceLevelObjectiveModel> levelObjectiveModels;//性能层的服务级别目标集合

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public Integer getMaxBackupRetentionDays() {
        return maxBackupRetentionDays;
    }

    public void setMaxBackupRetentionDays(Integer maxBackupRetentionDays) {
        this.maxBackupRetentionDays = maxBackupRetentionDays;
    }

    public Integer getMaxLargeStorageMB() {
        return maxLargeStorageMB;
    }

    public void setMaxLargeStorageMB(Integer maxLargeStorageMB) {
        this.maxLargeStorageMB = maxLargeStorageMB;
    }

    public Integer getMaxStorageMB() {
        return maxStorageMB;
    }

    public void setMaxStorageMB(Integer maxStorageMB) {
        this.maxStorageMB = maxStorageMB;
    }

    public Integer getMinBackupRetentionDays() {
        return minBackupRetentionDays;
    }

    public void setMinBackupRetentionDays(Integer minBackupRetentionDays) {
        this.minBackupRetentionDays = minBackupRetentionDays;
    }

    public Integer getMinLargeStorageMB() {
        return minLargeStorageMB;
    }

    public void setMinLargeStorageMB(Integer minLargeStorageMB) {
        this.minLargeStorageMB = minLargeStorageMB;
    }

    public Integer getMinStorageMB() {
        return minStorageMB;
    }

    public void setMinStorageMB(Integer minStorageMB) {
        this.minStorageMB = minStorageMB;
    }

    public List<ServiceLevelObjectiveModel> getLevelObjectiveModels() {
        return levelObjectiveModels;
    }

    public void setLevelObjectiveModels(List<ServiceLevelObjectiveModel> levelObjectiveModels) {
        this.levelObjectiveModels = levelObjectiveModels;
    }

    public String getDbType() {
        return dbType;
    }

    public void setDbType(String dbType) {
        this.dbType = dbType;
    }
}